searchData={"items":[{"type":"module","title":"Chpter","doc":"Documentation for `Chpter`.","ref":"Chpter.html"},{"type":"function","title":"Chpter.check_for_payment/2","doc":"This function checks for the payment status from the Chpter API\nThis is a recursive function that takes the following parameters:\n- `transaction_reference` - The reference to be used for the payment request\n\n- `api_endpoint` - The Chpter API endpoint where all the transactions are stored\n\n```\n\nReplace the `transaction_reference` with the reference to be used for the payment request\n and the `api_endpoint` with the endpoint to be used to check for the payment status\n\n\nReplace the api_key with your Chpter API key , the phone number with the phone number\n to send the payment request to, the name with the name of the person to send the payment request to,\n the email with the email of the person to send the payment request to, the amount with the amount to be paid,\n the callback_url with the callback url to be used by Chpter to send the payment request response to and the transaction_reference\n  with the reference to be used for the payment request.","ref":"Chpter.html#check_for_payment/2"},{"type":"function","title":"Examples - Chpter.check_for_payment/2","doc":"iex> Chpter.check_for_payment(\"transaction_123456\", \"https://api.chpter.co/v1/transactions\")\n\n```","ref":"Chpter.html#check_for_payment/2-examples"},{"type":"function","title":"Chpter.initiate_payment/8","doc":"Initiates the Stk Push request to USing Chpter API\n\nThis function takes in the following parameters:\n\n- `api_key` - Your Chpter API key\n- `phone_number` - The phone number to send the payment request to\n- `name` - The name of the person to send the payment request to\n- `email` - The email of the person to send the payment request to\n- `amount` - The amount to be paid\n- `callback_url` - The callback url to be used by Chpter to send the payment request response to\n- `transaction_reference` - The reference to be used for the payment request\n\n```\n\n\nReplace the api_key with your Chpter API key , the phone number with the phone number to send the payment request to, the name with the name of the person to send the payment request to, the email with the email of the person to send the payment request to, the amount with the amount to be paid, the callback_url with the callback url to be used by Chpter to send the payment request response to and the transaction_reference with the reference to be used for the payment request.","ref":"Chpter.html#initiate_payment/8"},{"type":"function","title":"Examples - Chpter.initiate_payment/8","doc":"iex> Chpter.initiate_payment(\n       \"pk_4aff02227456f6b499820c2621ae181c9e35666d25865575fef47622265dcbb9\",\n        \"254740769596\",\n       \"Michael Munavu\",\n       \"michaelmunavu83@gmail.com\",\n       1,\n       \"Nairobi\",\n       \"https://720a-102-135-173-116.ngrok-free.app/api/transactions\",\n        \"transaction_123456\"\n\n    )","ref":"Chpter.html#initiate_payment/8-examples"},{"type":"function","title":"Chpter.withdraw/7","doc":"This function allows you to withdraw money from a Chpter account to a mobile wallet , in this case mpesa.\nThis function takes the following parameters:\n- `name` - The name of the person to send the payment request to\n- `email` - The email of the person to send the payment request to\n- `phone_number` - The phone number to send the payment request to\n- `amount` - The amount to be paid as an integer\n- `callback_url` - The callback url to be used by Chpter to send the payment request response to\n- `payout_reference` - The reference to be used for the payment request\n- `api_key` - Your Chpter API key\n\n\n\n```\n\nReplace the `payout_reference` with the reference to be used for the payment request\n and the `callback_url` with the url that chpter will send the response to .\n\n A successful response will be as follows:\n\n\n {\n  \"message\": \"Success\",\n  \"success\": true,\n  \"status\": 200,\n  \"amount\": 100,\n  \"currency\": \"KES\",\n  \"payout_reference\": \"ABCD123\",\n}\n\n  A failed response will be as follows:\n\n\n  {\n  \"message\": \"Payout failed contact support@chpter.co\",\n  \"success\": false,\n  \"status\": 200,\n  \"payout_reference\": \"ABCD123\",\n}\n\n  Replace the api_key with your Chpter API key for the account you want to withdraw from .\n  The amount is an integer and has to be a minimum of 20  KES .","ref":"Chpter.html#withdraw/7"},{"type":"function","title":"Examples - Chpter.withdraw/7","doc":"iex> Chpter.withdraw(\n       \"Michael Munavu\",\n       \"michaelmunavu83@gmail.com\",\n       \"254740769596\",\n       25,\n        \"https://720a-102-135-173-116.ngrok-free.app/api/transactions\",\n        \"ABCD123\",\n        \"pk_4aff02227456f6b499820c2621ae181c9e35666d25865575fef47622265dcbb9\"\n    )\n\n\n```","ref":"Chpter.html#withdraw/7-examples"}],"content_type":"text/markdown"}